Bug 40876 - upgrade from RH6.2 to RH7.1 crash
upgrade from RH6.2 to RH7.1 crash
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-16 09:29 EDT by shunqi yan
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-29 10:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description shunqi yan 2001-05-16 09:29:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Win98; U)

Description of problem:
upgrade from Redhat6.2 to RH7.1 failed
 in both graphical and text mode. 
Chipset for my computer is: Serverwokrs. it
is a PentiumIII 866 machine.
In both modes, the installation was almost close
to the end of installation processing bar.
But exit abnormally by saying something like
"...you can safely reboot now....". But certainly,
I could not bring up my computer again. After 
"LI" displays on the screen, computer just hangs.

I do not think kernel is a problem, becuase I 
had successfully upgraded it to 2.4.3 and it
runs fine and can speed up some of my calculations. 
The upgrade RH6.2 -> RH7.1 was from kernel 2.2.14, 
not from 2.4.3.

After twice of failure, I got into the computer
using rescue mode by RH7.1 CD-1. I found my
old kernel 2.2.14 files from RH6.2 were all gone,
new kernel from RH7.1 was not there yet. But
lilo.conf was pointed to the kernel 2.2.14. 
Fortunately, my previously upgraded kernel 2.4.3 
is still there, I just change the lilo.conf to
point to kernel 2.4.3, 
and run lilo again. Then I was able to boot up
my computers at kernel 2.4.3. After this, I carried
out the upgrade to RH7.1 once more and the whole
upgrade process finished normally.

Since there are eight more of RH6.2 linux computer
in our lab, I do not know if I can just go ahead 
upgrading to RH7.1. Or because this is bug, and I
have to wait for a new releas of RH. 

How reproducible:
Always

Steps to Reproduce:
1.text mode
2.everything default
3.upgrade incompletedly.
	

Actual Results:  the upgrade not finished normally

Expected Results:  same problem happend in graphical mode,
but the upgrade fail earlier than
text mode.

Additional info:

see above
Comment 1 Brent Fox 2001-05-16 12:20:51 EDT
Can you provide more information about the hardware in the machine?  What kind
of SCSI adapters do you have?
Comment 2 shunqi yan 2001-05-16 12:33:15 EDT
chipset: ServerWorks
CPU:     866 Pentium III, 2 CPUs
No SCSI adapter,
Comment 3 Brent Fox 2001-05-17 15:54:12 EDT
Are these cd's that you burned yourself?  I can't explain why the kernel didn't
get written to the hard drive.

Also, when the system crashes, can you look on VC3 and VC4 and see if there are
any error messages?
Comment 4 Brent Fox 2001-05-29 10:22:13 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.